// @ts-ignore
/* eslint-disable */
import { request } from '@wisdom-utils/utils';

/** 获取服务调用日志明细 POST /LogCenter/GetOMSLog */
export async function GetOMSLog(body, options) {
  return request('/LogCenter/GetOMSLog', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}

/** 平均耗时排名统计 POST /LogCenter/TopConsumeList */
export async function TopConsumeList(body, options) {
  return request('/LogCenter/TopConsumeList', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}

/** 调用频次排名统计 POST /LogCenter/TopCountList */
export async function TopCountList(body, options) {
  return request('/LogCenter/TopCountList', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}

/** 服务访问量统计 按每分/每5分/每小时/每天 POST /LogCenter/TrafficStatistics */
export async function TrafficStatistics(body, options) {
  return request('/LogCenter/TrafficStatistics', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}

/** 获取运维登录日志 POST /LogCenter/GetLoginLog */
export async function GetLoginLog(body, options) {
  return request('/LogCenter/GetLoginLog', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}
